Bug 1081034 - Message on standard error output when running EAP 6.3.0 with JDK8
Summary: Message on standard error output when running EAP 6.3.0 with JDK8
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Scripts and Commands
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: EAP 6.4.0
Assignee: jboss-set
QA Contact: Marek Kopecky
URL:
Whiteboard:
: 1213248 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-26 14:21 UTC by Rostislav Svoboda
Modified: 2019-08-19 12:48 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-19 12:48:26 UTC
Type: Enhancement


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker WFLY-3854 0 Minor Closed Make it build & work on JDK9 2018-02-14 11:08:19 UTC

Description Rostislav Svoboda 2014-03-26 14:21:42 UTC
"Java HotSpot(TM) 64-Bit Server VM warning: ignoring option MaxPermSize=256m; support was removed in 8.0" message is send on standard error output when EAP 6.3.0 is started using JDK8. 

PermGen was removed in JDK8, our scripts should reflect it.

We should suppress message on standard error output when running EAP.

Comment 1 Tomaz Cerar 2014-03-26 15:43:06 UTC
There is no nice way for doing this.
We would need to update all scripts with few ugly hacks executing java -version to see what kind of version it is and than based on that modify parameters.

Beyond that we would need to change domain.xml/host.xml configs.

I think the best thing we can do is actually ignore <permgen> settings for host/domain in case of JDK8.

In any case I don't see any big need for it, especially since JDK8 is just one of JDKs we support.

Comment 2 Brian Stansberry 2014-09-23 13:28:57 UTC
This is an RFE. The VM settings we ship in the user-updatable .conf files are suggestions to get users started, they aren't something we say will work flawlessly in all cases. If the settings are unsuitable for a user's environment they should change them.

Comment 3 Tomaz Cerar 2014-09-23 14:00:04 UTC
I was looking into actual problems related to this when trying to run WildFly on JDK9.
In JDK8 we get a warning, with JDK9 on the other hand jvm doesn't start if premgen parameter is set.

This will address this as part of ongoing effort for running upstream WildFly on JDK9 but this is really low priority as JDK9 is still in early dev phase.

Comment 4 Tomaz Cerar 2015-04-20 12:28:54 UTC
*** Bug 1213248 has been marked as a duplicate of this bug. ***

Comment 5 JBoss JIRA Server 2016-02-15 16:58:06 UTC
Tomaz Cerar <tomaz.cerar@gmail.com> updated the status of jira WFLY-3854 to Reopened


Note You need to log in before you can comment on or make changes to this bug.